# System

System-level endpoints used by trading and operator roles.

## Get a specific deposit ticket

> Get a deposit ticket by OMS ID, account, request code, and ticket ID

```json
{"openapi":"3.0.3","info":{"title":"Trading API","version":"1.0.0"},"tags":[{"name":"System","description":"System-level endpoints used by trading and operator roles."}],"servers":[{"url":"https://apstage.proxy.kiiex.io/ap","description":"Staging Environment"},{"url":"https://alphaprod.proxy.kiiex.io/ap","description":"Production Environment"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DepositTicket":{"type":"object","properties":{"assetManagerId":{"type":"integer"},"accountId":{"type":"integer"},"assetId":{"type":"integer"},"assetName":{"type":"string","nullable":true},"amount":{"type":"number"},"omsId":{"type":"integer"},"requestCode":{"type":"string","nullable":true},"requestIP":{"type":"string","nullable":true},"requestUser":{"type":"integer"},"requestUserName":{"type":"string","nullable":true},"operatorId":{"type":"integer"},"Status":{"type":"integer"},"feeAmt":{"type":"number"},"updatedByUser":{"type":"integer"},"updatedByUserName":{"type":"string","nullable":true},"ticketNumber":{"type":"integer"},"depositInfo":{"type":"object","nullable":true},"createdTimestamp":{"type":"string","format":"date-time"},"lastUpdateTimeStamp":{"type":"string","format":"date-time"},"comments":{"type":"object","nullable":true},"attachments":{"type":"object","nullable":true}}}}},"paths":{"/GetDepositTicket":{"post":{"tags":["System"],"summary":"Get a specific deposit ticket","description":"Get a deposit ticket by OMS ID, account, request code, and ticket ID","operationId":"GetDepositTicket","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"OMSId":{"type":"integer"},"AccountId":{"type":"integer"},"RequestCode":{"type":"string"},"TicketId":{"type":"integer"}},"required":["OMSId","AccountId","RequestCode","TicketId"]}}}},"responses":{"200":{"description":"A deposit ticket object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositTicket"}}}},"400":{"description":"Invalid input parameters"},"401":{"description":"Unauthorized access"},"404":{"description":"Deposit ticket not found"}}}}}}
```

## Get a list of deposit tickets for a specific account

> Get all deposit tickets for a given OMS, operator, and account

```json
{"openapi":"3.0.3","info":{"title":"Trading API","version":"1.0.0"},"tags":[{"name":"System","description":"System-level endpoints used by trading and operator roles."}],"servers":[{"url":"https://apstage.proxy.kiiex.io/ap","description":"Staging Environment"},{"url":"https://alphaprod.proxy.kiiex.io/ap","description":"Production Environment"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DepositTicket":{"type":"object","properties":{"assetManagerId":{"type":"integer"},"accountId":{"type":"integer"},"assetId":{"type":"integer"},"assetName":{"type":"string","nullable":true},"amount":{"type":"number"},"omsId":{"type":"integer"},"requestCode":{"type":"string","nullable":true},"requestIP":{"type":"string","nullable":true},"requestUser":{"type":"integer"},"requestUserName":{"type":"string","nullable":true},"operatorId":{"type":"integer"},"Status":{"type":"integer"},"feeAmt":{"type":"number"},"updatedByUser":{"type":"integer"},"updatedByUserName":{"type":"string","nullable":true},"ticketNumber":{"type":"integer"},"depositInfo":{"type":"object","nullable":true},"createdTimestamp":{"type":"string","format":"date-time"},"lastUpdateTimeStamp":{"type":"string","format":"date-time"},"comments":{"type":"object","nullable":true},"attachments":{"type":"object","nullable":true}}}}},"paths":{"/GetDepositTickets":{"post":{"tags":["System"],"summary":"Get a list of deposit tickets for a specific account","description":"Get all deposit tickets for a given OMS, operator, and account","operationId":"GetDepositTickets","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"OMSId":{"type":"integer"},"OperatorId":{"type":"integer"},"AccountId":{"type":"integer"}},"required":["OMSId","OperatorId","AccountId"]}}}},"responses":{"200":{"description":"List of deposit tickets","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DepositTicket"}}}}},"400":{"description":"Invalid input parameters"},"401":{"description":"Unauthorized access"},"404":{"description":"No deposit tickets found for given criteria"}}}}}}
```

## Get a specific withdraw ticket

> Retrieve a withdraw ticket based on OMS ID, account, request code, and ticket ID

```json
{"openapi":"3.0.3","info":{"title":"Trading API","version":"1.0.0"},"tags":[{"name":"System","description":"System-level endpoints used by trading and operator roles."}],"servers":[{"url":"https://apstage.proxy.kiiex.io/ap","description":"Staging Environment"},{"url":"https://alphaprod.proxy.kiiex.io/ap","description":"Production Environment"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"WithdrawTicket":{"type":"object","properties":{"assetManagerId":{"type":"integer"},"accountId":{"type":"integer"},"assetId":{"type":"integer"},"assetName":{"type":"string"},"amount":{"type":"number"},"templateForm":{"type":"string"},"templateFormType":{"type":"string"},"omsId":{"type":"integer"},"requestCode":{"type":"string"},"requestIP":{"type":"string"},"requestUserId":{"type":"integer"},"requestUserName":{"type":"string"},"operatorId":{"type":"integer"},"Status":{"type":"integer"},"feeAmt":{"type":"number"},"updatedByUser":{"type":"integer"},"updatedByUserName":{"type":"string"},"ticketNumber":{"type":"integer"},"createdTimestamp":{"type":"string","format":"date-time"},"lastUpdateTimestamp":{"type":"string","format":"date-time"},"Comments":{"type":"array","items":{"type":"object","properties":{"commentId":{"type":"integer"},"enteredBy":{"type":"integer"},"enteredDateTime":{"type":"string","format":"date-time"},"comment":{"type":"string"},"operatorId":{"type":"integer"},"omsId":{"type":"integer"},"ticketCode":{"type":"string"},"ticketId":{"type":"integer"}}}},"Attachments":{"type":"array","items":{"type":"object","properties":{"attachmentId":{"type":"integer"},"submittedByUserId":{"type":"integer"},"submittedByUserName":{"type":"string"},"uploadDate":{"type":"string","format":"date-time"},"uploadIP":{"type":"string"},"ticketNumber":{"type":"integer"}}}},"AuditLog":{"type":"array","items":{"type":"object"}}}}}},"paths":{"/GetWithdrawTicket":{"post":{"tags":["System"],"summary":"Get a specific withdraw ticket","description":"Retrieve a withdraw ticket based on OMS ID, account, request code, and ticket ID","operationId":"GetWithdrawTicket","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"OMSId":{"type":"integer"},"AccountId":{"type":"integer"},"RequestCode":{"type":"string"},"TicketId":{"type":"integer"}},"required":["OMSId","AccountId","RequestCode","TicketId"]}}}},"responses":{"200":{"description":"A withdraw ticket object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawTicket"}}}},"400":{"description":"Invalid input parameters"},"401":{"description":"Unauthorized access"},"404":{"description":"Withdraw ticket not found"}}}}}}
```

## Create a new deposit ticket

> Creates a deposit ticket used to fund an account.

```json
{"openapi":"3.0.3","info":{"title":"Trading API","version":"1.0.0"},"tags":[{"name":"System","description":"System-level endpoints used by trading and operator roles."}],"servers":[{"url":"https://apstage.proxy.kiiex.io/ap","description":"Staging Environment"},{"url":"https://alphaprod.proxy.kiiex.io/ap","description":"Production Environment"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DepositTicket":{"type":"object","properties":{"assetManagerId":{"type":"integer"},"accountId":{"type":"integer"},"assetId":{"type":"integer"},"assetName":{"type":"string","nullable":true},"amount":{"type":"number"},"omsId":{"type":"integer"},"requestCode":{"type":"string","nullable":true},"requestIP":{"type":"string","nullable":true},"requestUser":{"type":"integer"},"requestUserName":{"type":"string","nullable":true},"operatorId":{"type":"integer"},"Status":{"type":"integer"},"feeAmt":{"type":"number"},"updatedByUser":{"type":"integer"},"updatedByUserName":{"type":"string","nullable":true},"ticketNumber":{"type":"integer"},"depositInfo":{"type":"object","nullable":true},"createdTimestamp":{"type":"string","format":"date-time"},"lastUpdateTimeStamp":{"type":"string","format":"date-time"},"comments":{"type":"object","nullable":true},"attachments":{"type":"object","nullable":true}}},"ApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"requestcode":{"type":"string"}}}}},"paths":{"/CreateDepositTicket":{"post":{"tags":["System"],"summary":"Create a new deposit ticket","description":"Creates a deposit ticket used to fund an account.","operationId":"CreateDepositTicket","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositTicket"}}}},"responses":{"200":{"description":"Result of the creation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}},"400":{"description":"Invalid deposit ticket data"},"401":{"description":"Unauthorized request"}}}}}}
```

## Returns a single withdraw ticket by Verify Code

> Returns a single withdraw ticket from OMS, trading venue operator, and account that matches the current Verify Code for confirmation.

```json
{"openapi":"3.0.3","info":{"title":"Trading API","version":"1.0.0"},"tags":[{"name":"System","description":"System-level endpoints used by trading and operator roles."}],"servers":[{"url":"https://apstage.proxy.kiiex.io/ap","description":"Staging Environment"},{"url":"https://alphaprod.proxy.kiiex.io/ap","description":"Production Environment"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"WithdrawTicket":{"type":"object","properties":{"assetManagerId":{"type":"integer"},"accountId":{"type":"integer"},"assetId":{"type":"integer"},"assetName":{"type":"string"},"amount":{"type":"number"},"templateForm":{"type":"string"},"templateFormType":{"type":"string"},"omsId":{"type":"integer"},"requestCode":{"type":"string"},"requestIP":{"type":"string"},"requestUserId":{"type":"integer"},"requestUserName":{"type":"string"},"operatorId":{"type":"integer"},"Status":{"type":"integer"},"feeAmt":{"type":"number"},"updatedByUser":{"type":"integer"},"updatedByUserName":{"type":"string"},"ticketNumber":{"type":"integer"},"createdTimestamp":{"type":"string","format":"date-time"},"lastUpdateTimestamp":{"type":"string","format":"date-time"},"Comments":{"type":"array","items":{"type":"object","properties":{"commentId":{"type":"integer"},"enteredBy":{"type":"integer"},"enteredDateTime":{"type":"string","format":"date-time"},"comment":{"type":"string"},"operatorId":{"type":"integer"},"omsId":{"type":"integer"},"ticketCode":{"type":"string"},"ticketId":{"type":"integer"}}}},"Attachments":{"type":"array","items":{"type":"object","properties":{"attachmentId":{"type":"integer"},"submittedByUserId":{"type":"integer"},"submittedByUserName":{"type":"string"},"uploadDate":{"type":"string","format":"date-time"},"uploadIP":{"type":"string"},"ticketNumber":{"type":"integer"}}}},"AuditLog":{"type":"array","items":{"type":"object"}}}}}},"paths":{"/GetWithdrawTicketByVerifyCode":{"post":{"tags":["System"],"summary":"Returns a single withdraw ticket by Verify Code","description":"Returns a single withdraw ticket from OMS, trading venue operator, and account that matches the current Verify Code for confirmation.","operationId":"GetWithdrawTicketByVerifyCode","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"OMSId":{"type":"integer"},"VerifyCode":{"type":"string"}},"required":["OMSId","VerifyCode"]}}}},"responses":{"200":{"description":"A withdraw ticket object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawTicket"}}}},"400":{"description":"Bad request"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kiiglobal.io/docs/connect-to-kiiex/kiiex-apis/system.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
